boost::geometry::ring_identifier Struct Reference

List of all members.

## Public Member Functions

bool | operator< (ring_identifier const &other) const
bool | operator== (ring_identifier const &other) const
| ring_identifier ()
| ring_identifier (signed_size_type src, signed_size_type mul, signed_size_type rin)

## Public Attributes

signed_size_type | multi_index
signed_size_type | ring_index
signed_size_type | source_index

## Constructor & Destructor Documentation

boost::geometry::ring_identifier::ring_identifier | ( |  | ) |

boost::geometry::ring_identifier::ring_identifier | ( | signed_size_type | src,
|  | signed_size_type | mul,
|  | signed_size_type | rin
| ) |  |

## Member Function Documentation

bool boost::geometry::ring_identifier::operator< | ( | ring_identifier const & | other | ) | const

bool boost::geometry::ring_identifier::operator== | ( | ring_identifier const & | other | ) | const

## Member Data Documentation

signed_size_type boost::geometry::ring_identifier::source_index

signed_size_type boost::geometry::ring_identifier::multi_index

signed_size_type boost::geometry::ring_identifier::ring_index

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK